package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.pc.dto.SectionRankDto;
import com.sw.mes.yb.pc.entity.Section;

import java.util.List;

public interface SectionService extends BaseService<Section> {


    /**
     * 评级导入修改等级
     *
     * @param sectionRankDtos
     */
    void updateRank(List<SectionRankDto> sectionRankDtos);

    Result stickTogether(List<String> sectionNos, String createUser, int source);

    Result stickTogetherBySectionNos(List<String> sectionNos, String createUser);

//废弃代码 start 2022-04-26
//    void ybJoinUnbind(Integer id, String userName);
//    void ybJoinPdaUnbind(String code,String userName,String relieveReason);
//    void deleteById(Long id)  ;
//废弃代码 end 2022-04-26

    void ybRelieve(Long id, String relieveReason);

    Section findBySectionNo(String sectionNo);

    void stickTogetherV2(List<String> sectionNos, int source);
}
